package com.purui.prims.headless.chat.query.rule.detail;

import com.purui.prims.headless.chat.query.rule.QueryMatchOption;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import static com.purui.prims.headless.api.pojo.SchemaElementType.VALUE;

@Slf4j
@Component
public class DetailFilterQuery extends DetailListQuery {

    public static final String QUERY_MODE = "DETAIL_LIST_FILTER";

    public DetailFilterQuery() {
        super();
        queryMatcher.addOption(VALUE, QueryMatchOption.OptionType.REQUIRED, QueryMatchOption.RequireNumberType.AT_LEAST, 1);
    }

    @Override
    public String getQueryMode() {
        return QUERY_MODE;
    }

}
